#include<iostream>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    unsigned short n, x; unsigned int k;
    cin >> n >> k >> x;

    if(k < n) //prvi podzad
    {
        cout << "1 ";
        for(int i = 0; i < k; ++i)
            cout << x+1 << " ";
        for(int i = k+1; i < n; ++i)
            cout << "2 ";
    }
    else if(k == n) //drugi podzad
    {
        if(n % 2 == 0)
        {
            short temp = n/2;
            for(int i = 0; i < temp; ++i)
                cout << "1 ";
            cout << x + 1 << " " << x + 1 << " ";
            for(int i = temp + 2; i < n; ++i)
                cout << "2 ";

        }
        else if(n == 3) //specijalni slucaj
        {
            cout << "1 " << x+1 << " " << 2*x + 1;
            return 0;
        }
    }
    else
    {
        cout << -1;
    }


}